| QxOrm 1.2.7 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Namespace List
- Namespace Members

Classes | Typedefs | Functions
qx::dao::detail Namespace Reference
QxDao : QxOrm library database communication used by persistence engine (ORM - Object Relational Mapping)

Internal helper tools for qx::dao namespace. More...

## Classes
class | IxDao_Helper
| qx::dao::detail::IxDao_Helper : helper class to communicate with database More...
struct | QxDao_IsDirty_Generic
struct | QxDao_IsDirty_Container
struct | QxDao_IsDirty_Ptr
struct | QxDao_IsDirty
struct | QxDaoAsyncParams
| qx::dao::detail::QxDaoAsyncParams : all parameters for qx::QxDaoAsync class to execute queries More...
class | QxDaoAsyncRunner
| qx::dao::detail::QxDaoAsyncRunner : class with a slot to execute queries in another thread More...
class | IxSqlElement
| qx::dao::detail::IxSqlElement : common interface for all SQL elements to build SQL query More...
class | QxSqlCompare
| qx::dao::detail::QxSqlCompare : SQL element to compare value (==, <, >, <=, >=, LIKE, NOT LIKE, etc.) More...
class | QxSqlElementTemp
| qx::dao::detail::QxSqlElementTemp : temporary SQL element (need to be cloned to be used) More...
class | QxSqlExpression
| qx::dao::detail::QxSqlExpression : SQL element to build a SQL expression (WHERE, AND, OR, etc.) More...
class | QxSqlFreeText
| qx::dao::detail::QxSqlFreeText : possibility to add free text to SQL query More...
class | QxSqlIn
| qx::dao::detail::QxSqlIn : SQL element to verify a list of values (IN, NOT IN, etc.) More...
class | QxSqlIsBetween
| qx::dao::detail::QxSqlIsBetween : SQL element to verify if a value is included into 2 other values More...
class | QxSqlIsNull
| qx::dao::detail::QxSqlIsNull : SQL element to verify if a value is null or not null (IS NULL, IS NOT NULL) More...
class | QxSqlLimit
| qx::dao::detail::QxSqlLimit : SQL element to limit rows count fetched from database More...
class | QxSqlSort
| qx::dao::detail::QxSqlSort : SQL element to sort or to group list of elements fetched from database (ORDER BY, GROUP BY) More...
class | IxSqlGenerator
| qx::dao::detail::IxSqlGenerator : common interface for all SQL generators to build SQL query specific for each database More...
class | QxSqlGenerator_MSSQLServer
| qx::dao::detail::QxSqlGenerator_MSSQLServer : SQL generator for Microsoft SQL Server database More...
class | QxSqlGenerator_MySQL
| qx::dao::detail::QxSqlGenerator_MySQL : SQL generator for MySQL database More...
class | QxSqlGenerator_Oracle
| qx::dao::detail::QxSqlGenerator_Oracle : SQL generator for Oracle database More...
class | QxSqlGenerator_PostgreSQL
| qx::dao::detail::QxSqlGenerator_PostgreSQL : SQL generator for PostgreSQL database More...
class | QxSqlGenerator_SQLite
| qx::dao::detail::QxSqlGenerator_SQLite : SQL generator for SQLite database More...
class | QxSqlGenerator_Standard
| qx::dao::detail::QxSqlGenerator_Standard : SQL generator to build standard SQL query More...
## Typedefs
typedef boost::shared_ptr < QxDaoAsyncParams > | QxDaoAsyncParams_ptr
typedef boost::shared_ptr < IxSqlElement > | IxSqlElement_ptr
typedef boost::shared_ptr < QxSqlCompare > | QxSqlCompare_ptr
typedef boost::shared_ptr < QxSqlElementTemp > | QxSqlElementTemp_ptr
typedef boost::shared_ptr < QxSqlExpression > | QxSqlExpression_ptr
typedef boost::shared_ptr < QxSqlFreeText > | QxSqlFreeText_ptr
typedef boost::shared_ptr < QxSqlIn > | QxSqlIn_ptr
typedef boost::shared_ptr < QxSqlIsBetween > | QxSqlIsBetween_ptr
typedef boost::shared_ptr < QxSqlIsNull > | QxSqlIsNull_ptr
typedef boost::shared_ptr < QxSqlLimit > | QxSqlLimit_ptr
typedef boost::shared_ptr < QxSqlSort > | QxSqlSort_ptr
typedef boost::shared_ptr < IxSqlGenerator > | IxSqlGenerator_ptr
typedef boost::shared_ptr < QxSqlGenerator_MSSQLServer > | QxSqlGenerator_MSSQLServer_ptr
typedef boost::shared_ptr < QxSqlGenerator_MySQL > | QxSqlGenerator_MySQL_ptr
typedef boost::shared_ptr < QxSqlGenerator_Oracle > | QxSqlGenerator_Oracle_ptr
typedef boost::shared_ptr < QxSqlGenerator_PostgreSQL > | QxSqlGenerator_PostgreSQL_ptr
typedef boost::shared_ptr < QxSqlGenerator_SQLite > | QxSqlGenerator_SQLite_ptr
typedef boost::shared_ptr < QxSqlGenerator_Standard > | QxSqlGenerator_Standard_ptr
## Functions
template<class T >
void | is_dirty (const T &obj1, const T &obj2, QStringList &lstDiff)

## Detailed Description

Internal helper tools for qx::dao namespace.

## Typedef Documentation

typedef boost::shared_ptr<IxSqlElement> qx::dao::detail::IxSqlElement_ptr

Definition at line 91 of file IxSqlElement.h.

typedef boost::shared_ptr<IxSqlGenerator> qx::dao::detail::IxSqlGenerator_ptr

Definition at line 91 of file IxSqlGenerator.h.

typedef boost::shared_ptr<QxDaoAsyncParams> qx::dao::detail::QxDaoAsyncParams_ptr

Definition at line 86 of file QxDaoAsync.h.

typedef boost::shared_ptr<QxSqlCompare> qx::dao::detail::QxSqlCompare_ptr

Definition at line 80 of file QxSqlCompare.h.

typedef boost::shared_ptr<QxSqlElementTemp> qx::dao::detail::QxSqlElementTemp_ptr

Definition at line 70 of file QxSqlElementTemp.h.

typedef boost::shared_ptr<QxSqlExpression> qx::dao::detail::QxSqlExpression_ptr

Definition at line 79 of file QxSqlExpression.h.

typedef boost::shared_ptr<QxSqlFreeText> qx::dao::detail::QxSqlFreeText_ptr

Definition at line 70 of file QxSqlFreeText.h.

typedef boost::shared_ptr<QxSqlGenerator_MSSQLServer> qx::dao::detail::QxSqlGenerator_MSSQLServer_ptr

Definition at line 75 of file QxSqlGenerator_MSSQLServer.h.

typedef boost::shared_ptr<QxSqlGenerator_MySQL> qx::dao::detail::QxSqlGenerator_MySQL_ptr

Definition at line 72 of file QxSqlGenerator_MySQL.h.

typedef boost::shared_ptr<QxSqlGenerator_Oracle> qx::dao::detail::QxSqlGenerator_Oracle_ptr

Definition at line 74 of file QxSqlGenerator_Oracle.h.

typedef boost::shared_ptr<QxSqlGenerator_PostgreSQL> qx::dao::detail::QxSqlGenerator_PostgreSQL_ptr

Definition at line 73 of file QxSqlGenerator_PostgreSQL.h.

typedef boost::shared_ptr<QxSqlGenerator_SQLite> qx::dao::detail::QxSqlGenerator_SQLite_ptr

Definition at line 70 of file QxSqlGenerator_SQLite.h.

typedef boost::shared_ptr<QxSqlGenerator_Standard> qx::dao::detail::QxSqlGenerator_Standard_ptr

Definition at line 81 of file QxSqlGenerator_Standard.h.

typedef boost::shared_ptr<QxSqlIn> qx::dao::detail::QxSqlIn_ptr

Definition at line 79 of file QxSqlIn.h.

typedef boost::shared_ptr<QxSqlIsBetween> qx::dao::detail::QxSqlIsBetween_ptr

Definition at line 78 of file QxSqlIsBetween.h.

typedef boost::shared_ptr<QxSqlIsNull> qx::dao::detail::QxSqlIsNull_ptr

Definition at line 78 of file QxSqlIsNull.h.

typedef boost::shared_ptr<QxSqlLimit> qx::dao::detail::QxSqlLimit_ptr

Definition at line 78 of file QxSqlLimit.h.

typedef boost::shared_ptr<QxSqlSort> qx::dao::detail::QxSqlSort_ptr

Definition at line 78 of file QxSqlSort.h.

## Function Documentation

template<class T >

void qx::dao::detail::is_dirty | ( | const T & | obj1,
|  | const T & | obj2,
|  | QStringList & | lstDiff
| ) |  | `[inline]`

Definition at line 128 of file QxDao_IsDirty.h.